Subject: bug#6102: 24.0.50; Problems with Multi_Key

From: Štěpán Němec <[email-masked]>
Date: Wed, 05 May 2010 16:22:24 +0200

Werner LEMBERG <[email-masked]> writes:

> Of all applications I know on my computer, emacs is the only one which
> doesn't accept multi-key compositions.  Calling `emacs -Q' and
> pressing the composite key (which I've mapped to the `Windows menu'
> key), I get
>
>   <Multi_key> is undefined
>
> and the composition isn't performed.  This behaviour wasn't present in
> previous versions of Emacs (about a half year earlier, I estimate).
> Note, however, that I'm now using Xorg 1.8.0 (from openSuSE factory),
> together with fairly recent versions of all other Xorg modules, so the
> problem might be elsewhere.
>
>
>     Werner
>
> ----------------------------------------------------------------------
>
> In GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.20.0)
>  of 2010-04-08 on linux-nvf0
> Windowing system distributor `The X.Org Foundation', version 11.0.10800000
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: de_DE.UTF-8
>   value of $XMODIFIERS: @im=SCIM
                          ^^^^^^^^
As pointed out in my last mail to emacs-devel, this might be the problem
(seems to be for me, anyway): try with '@im=none' (e.g. starting
Emacs with 'env XMODIFIERS="@im=none" emacs'.

Štěpán